Get workflow action by ID

Fetches a single workflow action by resource ID. Requires the WORKFLOW_ACTION.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
workflow_idstringOptional
Workflow that owns this action.
typeenumOptional
Action type that selects the matching action configuration.
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
Description of what this action does.
statusenumOptional
Status of the action.
created_atstring or nullOptionalRead-only
Date time when the action was created.
updated_atstring or nullOptionalRead-only
Date time when the action was last updated.
send_email_to_customerobjectOptional
Email action configuration used to send an email to the customer.
export_to_erpobjectOptional

Export-to-ERP action configuration. Used when type is EXPORT_TO_ERP.

send_webhookobjectOptional

Send-webhook action configuration. Used when type is SEND_WEBHOOK.

Errors

401
Unauthorized Error
403
Forbidden Error